cordova.define("cordova.plugin.Brightness.Brightness", function(require, exports, module) {  /*
 * @author Evgeniy Lukovsky
 * */

var exec = require('cordova/exec');

var Brightness=function(){
  console.log( 'platform:', cordova.platformId )
  
  if( cordova.platformId == 'ios' ) {
    this.orient = "";
    this.lock = window.orientation;
    var self = this;
  
    window.shouldRotateToOrientation = function(orientation) {
      switch( self.orient ) {
        case "":
          return true;
        case "locked":
          return orientation == self.lock;
        case "portrait":
          return orientation == 0;
        case "landscape":
          return orientation == 90;
        case "reversePortrait":
          return orientation == 180;
        case "reverseLandscape":
          return orientation == -90;
      }
      
      return false;
    }
    
    window.addEventListener('orientationchange', function() {
      self.lock = window.orientation;
    }, false );
  }
};

Brightness.prototype.getBrightness = function( successCallback, errorCallback) {
  return cordova.exec(successCallback, errorCallback, "Brightness", "getBrightness", []);
};

Brightness.prototype.setBrightness = function(value, successCallback, errorCallback) {
  return cordova.exec(successCallback, errorCallback, "Brightness", "setBrightness", [value]);
};

Brightness.prototype.setKeepScreenOn = function(value, successCallback, errorCallback) {
  return cordova.exec(successCallback, errorCallback, "Brightness", "setKeepScreenOn", [value]);
};

if( cordova.platformId == 'ios' ) {
  Brightness.prototype.getOrientation = function(successCallback, errorCallback) {
    return this.orient;
  };

  Brightness.prototype.setOrientation = function(value, successCallback, errorCallback) {
    this.orient = value;
    
    return cordova.exec(successCallback, errorCallback, "Brightness", "reOrientation", []);
  };
} else {
  Brightness.prototype.getOrientation = function(successCallback, errorCallback) {
    return cordova.exec(successCallback, errorCallback, "Brightness", "getOrientation", []);
  };

  Brightness.prototype.setOrientation = function(value, successCallback, errorCallback) {
    return cordova.exec(successCallback, errorCallback, "Brightness", "setOrientation", [value]);
  };
}

module.exports= new Brightness();


});
